Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.types.v1
Class PeriodType

    java.lang.Object
      be.cin.types.v1.PeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T08:58:43+02:00",
               comments="JAXB RI v2.2.11")
    public class PeriodType

extends Object
implements Serializable

A standard period consisting of a start and end date, both required.

Java class for PeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Start" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="End" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PeriodType()`

Method Summary
`org.joda.time.DateTime` | `getEnd()` Gets the value of the end property.
`org.joda.time.DateTime` | `getStart()` Gets the value of the start property.
`void` | `setEnd(org.joda.time.DateTime value)` Sets the value of the end property.
`void` | `setStart(org.joda.time.DateTime value)` Sets the value of the start property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeriodType

    public PeriodType()

Method Detail

### getStart

    public org.joda.time.DateTime getStart()

  Gets the value of the start property.

  Returns:
    possible object is `String`

### setStart

    public void setStart(org.joda.time.DateTime value)

  Sets the value of the start property.

  Parameters:
    `value` - allowed object is `String`

### getEnd

    public org.joda.time.DateTime getEnd()

  Gets the value of the end property.

  Returns:
    possible object is `String`

### setEnd

    public void setEnd(org.joda.time.DateTime value)

  Sets the value of the end property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.